Bug 1956294 - gnome-shell loses clicks placed on the center pixel
Summary: gnome-shell loses clicks placed on the center pixel
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Enterprise Linux 9
Classification: Red Hat
Component: graphene
Version: 9.0
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: beta
: ---
Assignee: Jonas Ådahl
QA Contact: Michal Odehnal
URL:
Whiteboard: AcceptedFreezeException
Depends On: 1946612
Blocks: F34FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2021-05-03 12:08 UTC by Michal Odehnal
Modified: 2021-05-10 08:28 UTC (History)
5 users (show)

Fixed In Version: graphene-1.10.4-5.el9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1946612
Environment:
Last Closed:
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Michal Odehnal 2021-05-03 12:08:02 UTC
+++ This bug was initially created as a clone of Bug #1946612 +++

graphene 1.10.4 that's in F34 stable has a a bug that causes gnome-shell to lose clicks placed on the center pixel line with a very very high subpixel precision. We've noticed this in downstream RHEL tests and it's easy to reproduce with automated testing; it's much harder to reproduce it in real world because the clicks have to be placed with high accuracy.

Regardless, it would be good to backport this just in case. Proposing as a FE for F34.

--- Additional comment from Fedora Update System on 2021-04-06 14:17:07 UTC ---

FEDORA-2021-70b24b94e2 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-70b24b94e2

--- Additional comment from Fedora Update System on 2021-04-07 15:20:03 UTC ---

FEDORA-2021-70b24b94e2 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-70b24b94e2`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-70b24b94e2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

--- Additional comment from Fedora Update System on 2021-04-07 18:15:13 UTC ---

FEDORA-2021-2e14734c1f has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-2e14734c1f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-2e14734c1f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

--- Additional comment from František Zatloukal on 2021-04-08 14:08:57 UTC ---

Setting as Accepted FE as per voting in https://pagure.io/fedora-qa/blocker-review/issue/326

--- Additional comment from Fedora Update System on 2021-04-09 20:03:27 UTC ---

FEDORA-2021-2e14734c1f has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

--- Additional comment from Fedora Update System on 2021-04-21 21:40:04 UTC ---

FEDORA-2021-70b24b94e2 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.